Bug 1759801 - please build perl-gtk3 for epel 8
Summary: please build perl-gtk3 for epel 8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Gtk3
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Berrangé
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1778302 1787759
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-09 07:15 UTC by Sergio Basto
Modified: 2020-01-24 17:43 UTC (History)
6 users (show)

Fixed In Version: perl-Gtk3-0.036-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-24 17:43:25 UTC
Type: Bug


Attachments (Terms of Use)

Description Sergio Basto 2019-10-09 07:15:00 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Sergio Basto 2019-11-15 00:05:52 UTC
perl-Gtk3 is a BuildRequired of debconf

Comment 2 lisic 2019-11-25 21:14:14 UTC
I need this for an in-house tool used by our users. This is blocking us from upgrading to 8.

Comment 3 Jiri Kastner 2019-11-26 08:31:21 UTC
another pbuilder user here, forcing me to stay with el7 due debconf build dependency

Comment 4 Dave M 2019-11-26 08:34:13 UTC
Forgot to mention - clamtk requires this.  https://gitlab.com/dave_m/clamtk/wikis/Home

Comment 5 Sergio Basto 2019-12-04 02:30:42 UTC
I tried a scratch build on epel8-playground [1]  and failed with missing packages [2]

[1] 
https://koji.fedoraproject.org/koji/taskinfo?taskID=39426113

[2]
DEBUG util.py:596:  No matching package to install: 'perl(Cairo::GObject) >= 1.000'
DEBUG util.py:596:  No matching package to install: 'perl(Glib)'
DEBUG util.py:596:  No matching package to install: 'perl(Glib::Object::Introspection) >= 0.043'
DEBUG util.py:596:  No matching package to install: 'perl(Glib::Object::Subclass)'

Comment 6 Daniel Berrangé 2019-12-04 10:02:50 UTC
To set expectations, as a Fedora maintainer I don't ever do EPEL branches myself as I don't want to take on extra long term maint work. I'm more than happy for any other Fedora maintainer to volunteer as a package co-maintainer and deal with EPEL branch maint work themselves.

Comment 7 Sergio Basto 2019-12-04 11:00:26 UTC
please add me to admins 

fas: sergiomb

Comment 8 Fedora Update System 2020-01-10 00:09:32 UTC
perl-Cairo-GObject-1.005-1.el8, perl-Glib-Object-Introspection-0.048-1.el8, perl-Gtk3-0.036-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-1a87e27d99

Comment 9 Fedora Update System 2020-01-24 17:43:25 UTC
perl-Cairo-GObject-1.005-1.el8, perl-Glib-Object-Introspection-0.048-1.el8, perl-Gtk3-0.036-1.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.